2023-01-29 20:57 CET

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0005482MadProfessorMariarti[WHDLoad Installs Games] OCSpublic2022-07-19 03:11
ReporterRadertified 
Assigned ToRadertifiedProject InfoMad Professor Mariarti (Krisalis)
http://www.whdload.de/games/MadProfessorMariarti.html
 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Summary0005482: Music plays much faster than it should. Also missing letters on title screen.
DescriptionIn the new version of the slave:

 - The music, both at the title screen and in-game, plays much faster than it should.
 - The title screen no longer has the bouncing letters.

I have only tested on WinUAE. I have verified with multiple configurations, as low as a base 1200: 68020+cycle exact+2mb chip+0mb fast.

IPF video (UAE A500): https://streamable.com/w4uvyx
WHDLoad video (UAE A1200): https://streamable.com/prj26l
TagsNo tags attached.
MachineUAE
CPU68020
CPUSpeed14
ChipSetAGA
GFXCardNone
ChipMem2 MB
FastMem0 MB
WorkbenchOS 3.1
KickROM40 - Kick 3.1
KickSoft40 - Kick 3.1
WHDLoad18.7
imported
Attached Files

-Relationships
+Relationships

-Notes

note ~0011039

StingRay (developer)

I will remove the level 6 interrupt patch in the next update. Missing music without this patch only happens in WinUAE if "CIA TOD bug" has not been enabled in the Advanced Chipset settings.

note ~0011040

Radertified (developer)

Last edited: 2022-03-23 21:58

View 2 revisions

I began working on patching this a few days ago and fixed the missing letters and music issue. I don't remember if I actually fixed things or just commented things out.

I'll let you continue it StingRay since I guarantee you know how to patch things better than I do.

I've also been working on training it and have a bunch already done (lives, energy, one-hit kills, final level immediately accessible, etc). If you'd like those notes, let me know and I'll provide. Or I can release an update afterwards with all of that implemented.

note ~0011041

StingRay (developer)

In this case feel free to work on the update. Just make sure to remove the level 6 interrupt patch. I've assigned this ticket back to you. :)

note ~0011042

Radertified (developer)

Will do!

note ~0011583

Radertified (developer)

Updated slave submitted to Wepl.
+Notes

-Issue History
Date Modified Username Field Change
2022-01-20 02:05 Radertified New Issue
2022-03-22 03:56 Radertified Assigned To => Radertified
2022-03-22 03:56 Radertified Status new => assigned
2022-03-23 19:17 StingRay Assigned To Radertified => StingRay
2022-03-23 19:19 StingRay Note Added: 0011039
2022-03-23 21:58 Radertified Note Added: 0011040
2022-03-23 21:58 Radertified Note Edited: 0011040 View Revisions
2022-03-23 22:29 StingRay Note Added: 0011041
2022-03-23 22:29 StingRay Assigned To StingRay => Radertified
2022-03-23 22:50 Radertified Note Added: 0011042
2022-07-19 03:11 Radertified Status assigned => resolved
2022-07-19 03:11 Radertified Resolution open => fixed
2022-07-19 03:11 Radertified Note Added: 0011583
+Issue History